# The upstream version
%global upver 2.14.3.0
# The project url on the forge
%global forgeurl https://github.com/skarnet/skalibs/
# The tag being packaged
%global tag v%{upver}
# The commit being packaged
%global commit b6e920192eee90fa2d403a6616129149c8daba97
# The skalibs sysdeps directory
%global _sysdepsdir %{_libdir}/skalibs/sysdeps

%forgemeta


Name:       skalibs
Version:    %{upver}
Release:    %autorelease
Summary:    The skarnet.org C system programming library
URL:        %{forgeurl}
License:    ISC
Source0:    %{forgesource}
Source1:    macros.skalibs.tpl
Patch0:     00-fix-links.patch

BuildRequires:  gcc
BuildRequires:  make
BuildRequires:  glibc-devel


%description
skalibs is a C library used by all the skarnet.org packages.
It provides APIs more suited to secure and efficient system
programming than the libc, especially where network programming
and IPCs are concerned.


%package doc
Summary: skalibs Documentaion

%description doc
The skalibs Documentaion package.


%package devel
Summary:    skalibs Development files
Requires:   %{name} >= %{version}
Requires:   glibc-devel

%description devel
The development package for skalibs.


%prep
%forgeautosetup
: Create RPM Macros
sed -e 's,@SKALIBS_VERSION@,%{version},' \
    -e 's,@SKALIBS_SYSDEPSDIR@,%{_sysdepsdir},' \
    %{SOURCE1} | tee macros.%{name}


%build
%configure --sysdepdir=%{_sysdepsdir} \
    --dynlibdir=%{_libdir} \
    --with-include=%{_includedir} \
    --with-lib=%{_libdir} \
    --with-dynlib=%{_libdir} \
    --enable-iopause-select \
    --disable-static
%make_build


%install
%make_install
install -p -m 0644 -D -t %{?buildroot}%{_rpmmacrodir} macros.%{name}


%check
: TODO Check


%files
%license COPYING
%{_libdir}/libskarnet.so*
%{_sysdepsdir}/pthread.lib
%{_sysdepsdir}/socket.lib
%{_sysdepsdir}/spawn.lib
%{_sysdepsdir}/sysclock.lib
%{_sysdepsdir}/sysdeps
%{_sysdepsdir}/target
%{_sysdepsdir}/timer.lib
%{_sysdepsdir}/util.lib


%files doc
%doc doc/


%files devel
%{_rpmmacrodir}/macros.%{name}
%{_includedir}/skalibs/*


%changelog
%autochangelog
